Page MenuHomePhabricator

VisualEditor crashes while trying to delete a category on the second attempt
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Go to a page which already has a category in it
  2. Click on Delete icon for that category
  3. Click cancel on the dialog and that should retain the category back
  4. Now again open the dialog and try to delete the same category

Observed Result:
There is an error in the console:
VM71:489 Uncaught TypeError: Cannot read property 'metaItem' of undefined

Details

Related Gerrit Patches:

Event Timeline

Ryasmeen created this task.Jul 1 2016, 5:56 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 1 2016, 5:56 PM
Ryasmeen renamed this task from VisualEditor crashes while trying to delete a category on the second attempt to [Regression pre-wmf.9] VisualEditor crashes while trying to delete a category on the second attempt.Jul 1 2016, 6:45 PM
Ryasmeen renamed this task from [Regression pre-wmf.9] VisualEditor crashes while trying to delete a category on the second attempt to VisualEditor crashes while trying to delete a category on the second attempt.
Esanders triaged this task as Low priority.Jul 2 2016, 4:24 PM
Esanders raised the priority of this task from Low to Medium.Jul 2 2016, 4:41 PM

Change 297135 had a related patch set uploaded (by Esanders):
Ensure widgets are always torn down when categories page is closed

https://gerrit.wikimedia.org/r/297135

Jdforrester-WMF closed this task as Resolved.Jul 4 2016, 7:08 AM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.

Change 297135 merged by jenkins-bot:
Ensure widgets are always torn down when categories page is closed

https://gerrit.wikimedia.org/r/297135